PUT V1/Users.{ext}/UpdateUsersPassword

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Security.Entities.UserProfile
NameDescriptionTypeAdditional information
FirstName

No description available

string

None.

LastName

No description available

string

None.

Name

No description available

string

None.

Role

No description available

string

None.

Department

No description available

string

None.

AboutMe

No description available

string

None.

ProfileImageType

No description available

string

None.

TempProfileImageType

No description available

string

None.

LoginId

No description available

string

None.

UserId

No description available

string

None.

Email

No description available

string

None.

PrimaryPhoneNumber

No description available

string

None.

SecondaryPhoneNumber

No description available

string

None.

LoginPassword

No description available

string

None.

NewPassword

No description available

string

None.

ConfirmNewPassword

No description available

string

None.

TimeZone

No description available

string

None.

Country

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "firstName": "sample string 1",
  "lastName": "sample string 2",
  "name": "sample string 3",
  "role": "sample string 4",
  "department": "sample string 5",
  "aboutMe": "sample string 6",
  "profileImageType": "sample string 7",
  "tempProfileImageType": "sample string 8",
  "loginId": "sample string 9",
  "userId": "sample string 10",
  "email": "sample string 11",
  "primaryPhoneNumber": "sample string 12",
  "secondaryPhoneNumber": "sample string 13",
  "loginPassword": "sample string 14",
  "newPassword": "sample string 15",
  "confirmNewPassword": "sample string 16",
  "timeZone": "sample string 17",
  "country": "sample string 18"
}

application/xml, text/xml

Sample:
<UserProfile xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Security.Entities">
  <AboutMe>sample string 6</AboutMe>
  <ConfirmNewPassword>sample string 16</ConfirmNewPassword>
  <Country>sample string 18</Country>
  <Department>sample string 5</Department>
  <Email>sample string 11</Email>
  <FirstName>sample string 1</FirstName>
  <LastName>sample string 2</LastName>
  <LoginId>sample string 9</LoginId>
  <LoginPassword>sample string 14</LoginPassword>
  <Name>sample string 3</Name>
  <NewPassword>sample string 15</NewPassword>
  <PrimaryPhoneNumber>sample string 12</PrimaryPhoneNumber>
  <ProfileImageType>sample string 7</ProfileImageType>
  <Role>sample string 4</Role>
  <SecondaryPhoneNumber>sample string 13</SecondaryPhoneNumber>
  <TempProfileImageType>sample string 8</TempProfileImageType>
  <TimeZone>sample string 17</TimeZone>
  <UserId>sample string 10</UserId>
</UserProfile>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.